Package org.apache.sysds.runtime.compress.colgroup

# Interface IFrameOfReferenceGroup

All Superinterfaces:
  `IContainDefaultTuple`

All Known Implementing Classes:
  `ColGroupDDCFOR`, `ColGroupSDCFOR`

public interface IFrameOfReferenceGroup extends IContainDefaultTuple
Interface for frame of reference groups.

## Method Summary

Modifier and Type
Method
Description
`AColGroup`
`extractCommon(double[] constV)`
extract common value from group and return non morphing group

### Methods inherited from interface org.apache.sysds.runtime.compress.colgroup.IContainDefaultTuple

`getDefaultTuple`

## Method Details

### extractCommon

AColGroup extractCommon(double[] constV)
extract common value from group and return non morphing group

Parameters:
  `constV` - a vector to contain all values, note length = nCols in total matrix.
Returns:
  A non morphing column group with decompression instructions.